# 官方文档
# https://github.com/dr34m/tao-sync
# https://hub.docker.com/r/dr34m/tao-sync

# 部署教程
# https://post.smzdm.com/p/aovx2259
# 默认账号admin，默认密码从日志中获取

# 使用本工具前你必须了解并且会使用AList；本工具没有集成AList，你需要额外启动AList
# 该工具是AList的目录A同步到另一个AList的目录B
# 警告！不要在外网暴露本系统，否则后果自负！

---
version: "3"
# 最后编辑时间：2024-10-27
services:
  tao-sync:
    image: dr34m/tao-sync:latest
    # 镜像地址
    container_name: tao-sync
    # 容器名字
    hostname: tao-sync
    # 主机名
    volumes:
      - /volume1/dokcer/tao-sync:/app/data
      # 配置文件目录
    # network_mode: bridge
    network_mode: host
    # host模式需要容器内的端口不被占用，不需要端口映射，后续端口映射全都开头加#注释掉，否则注释掉这条
    # ports:
      # - 8023:8023/tcp
      # WebUI 端口
    restart: unless-stopped
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3